Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.pagebus.rebind
Class ManagedEventGenerator

    java.lang.Object
      com.google.gwt.core.ext.Generator
          com.tibco.bpm.web.client.model.pagebus.rebind.ManagedEventGenerator

    public class ManagedEventGenerator

extends com.google.gwt.core.ext.Generator

Generator class for ManagedEvent instances.

Adds default implementations of the three abstract methods:

- dispatchLocal
- toPageBusMessage
- fromPageBusMessage

unless these are defined in the super class.

Also adds the gwt-jsonmaker Jsonizer interface and getJsonizer method used by the toPageBusMessageDefault and fromPageBusMessageDefault methods.

©2012 TIBCO Software Inc.

Since:
  2.0.0

Constructor Summary
`ManagedEventGenerator()`

Method Summary
`java.lang.String` | `generate(com.google.gwt.core.ext.TreeLogger logger, com.google.gwt.core.ext.GeneratorContext context, java.lang.String typeName)`

Methods inherited from class com.google.gwt.core.ext.Generator
`escape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedEventGenerator

    public ManagedEventGenerator()

Method Detail

### generate

    public java.lang.String generate(com.google.gwt.core.ext.TreeLogger logger,
                                     com.google.gwt.core.ext.GeneratorContext context,
                                     java.lang.String typeName)
                              throws com.google.gwt.core.ext.UnableToCompleteException

  Specified by:
    `generate` in class `com.google.gwt.core.ext.Generator`
  Throws:
    `com.google.gwt.core.ext.UnableToCompleteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.